Direction (Neo4j Community 2.1.0-M01 API)
Date: 2014-02-20

org.neo4j.graphdb

## Enum Direction

- java.lang.Object
- - java.lang.Enum<Direction>
  - - org.neo4j.graphdb.Direction

- All Implemented Interfaces:
    Serializable, Comparable<Direction>

      public enum Direction
      extends Enum<Direction>

  Defines relationship directions used when getting relationships from a node or when creating traversers.

  A relationship has a direction from a node's point of view. If a node is the start node of a relationship it will be an `OUTGOING` relationship from that node's point of view. If a node is the end node of a relationship it will be an `INCOMING` relationship from that node's point of view. The `BOTH` direction is used when direction is of no importance, such as "give me all" or "traverse all" relationships that are either `OUTGOING` or `INCOMING`.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BOTH` Defines both incoming and outgoing relationships.
    `INCOMING` Defines incoming relationships.
    `OUTGOING` Defines outgoing relationships.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Direction` | `reverse()` Reverses the direction returning `INCOMING` if this equals `OUTGOING`, `OUTGOING` if this equals `INCOMING` or `BOTH` if this equals `BOTH`.
    `static Direction` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Direction[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### OUTGOING

          public static final Direction OUTGOING

      Defines outgoing relationships.

    - #### INCOMING

          public static final Direction INCOMING

      Defines incoming relationships.

    - #### BOTH

          public static final Direction BOTH

      Defines both incoming and outgoing relationships.

  - ### Method Detail

    - #### values

          public static Direction[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Direction c : Direction.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Direction valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### reverse

          public Direction reverse()

      Reverses the direction returning `INCOMING` if this equals `OUTGOING`, `OUTGOING` if this equals `INCOMING` or `BOTH` if this equals `BOTH`.
      Returns:
        The reversed direction.

Copyright © 2002–2014 The Neo4j Graph Database Project. All rights reserved.